%define srcName gpgme 
%define origName tclgpgme 

Name: tcl-%srcName
Version: 1.0.1
Release: alt3

Summary: Tcl GPGME provides a Tcl interface to the GnuGPG Made Easy library.
Summary(ru_RU.KOI8-R): Tcl GPGME -       gpgme
License: GPL
Group: System/Libraries
URL: http://beepcore-tcl.sourceforge.net/

Source: %origName-%version.tar.gz

Requires: libgpgme >= 0.3.15
BuildRequires: rpm-build >= 4.0.4 tcl-devel >= 8.4.0 libgpgme-devel >= 0.3.15

BuildPreReq: autoconf_2.5 >= 2.57
BuildPreReq: automake_1.7

%description
Tcl GPGME provides a Tcl interface to the GnuGPG Made Easy library.
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier
for applications. It provides a High-Level Crypto API for encryption,
decryption, signing, signature verification and key management.

%description -l ru_RU.KOI8-R
Tcl GPGME -       gpgme.
GPGME (GnuPG Made Easy) -      
 GnuPG  .    API  ,
,  ,    ,  
 .

%prep
%setup -q -n %origName-%version

%build
#%__aclocal
#%__autoconf
#%__automake-1.7

%configure \
--with-tcl=%_libdir \
--with-tk=%_libdir \
--with-tclinclude=%_includedir \
--with-tkinclude=%_includedir

%make_build
make check

%install
mkdir -p %buildroot%_tcllibdir/
mkdir -p %buildroot%_tcldatadir/%srcName%version

install -p \.libs/libtclgpgme.so.1.0 %buildroot%_tcllibdir/
install -p -m644 test.tcl %buildroot%_tcldatadir/%srcName%version/test.tcl

cat > %buildroot%_tcldatadir/%srcName%version/pkgIndex.tcl << EOF
package ifneeded gpgme %version [list load %_tcllibdir/libtclgpgme.so]
EOF

%post
ln -s %_tcllibdir/libtclgpgme.so.1.0 %_tcllibdir/libtclgpgme.so
ln -s %_tcllibdir/libtclgpgme.so.1.0 %_tcllibdir/libtclgpgme.so.1


%files
%_tcldatadir/%srcName%version/
%_tcllibdir/libtclgpgme.so.1.0

%doc AUTHORS README INSTALL doc/*

%changelog
* Thu Jul 15 2004 Sergey Kalinin <banzaj@altlinux.ru> 1.0.1-alt3
- *.la files remove
- changes location *.so file from _libdir to _tcllibdir
- added russian summary and description into spec-file

* Wed Aug 06 2003 Sergey Kalinin <banzaj@altlinux.ru> 1.0.1-alt2
- spec file changes

* Thu Jul 08 2003 Sergey Kalinin <banzaj@altlinux.ru> 1.0.1-alt1
- initial release
